package scenic3;

/**
 * 
 * @author shuji.w6e
 * @since 0.1.0
 */
public interface UrlMatcher {
    
    public static final UrlMatcher EXCLUDE_MATCHER = new UrlMatcher() {

        @Override
        public ScenicController match(String path, String method) {
            return ScenicController.STATIC_CONTROLLER;
        }
        
        @Override
        public String getPageClassName() {
            throw new UnsupportedOperationException("This object is EXCLUDE_MATCHER.");
        }
    };

    ScenicController match(String path, String method);
    
    /**
     * 
     * @return
     * @since 0.5.0
     */
    String getPageClassName();
}
