package scenic3.apt;

/**
 * Exception when an argument of action method is unsupported in scenic3.
 * @author shuji.w6e
 * @since 0.1.0
 */
public class UnsupportedArgumentException extends Exception {

    private static final long serialVersionUID = 1L;

    /**
     * Constructor.
     * @param arg an target argument
     */
    public UnsupportedArgumentException(Argument arg) {
        super("Unsupported argument: " + arg);
    }
}
